Bug 174800 - php-snmp spams error_log/stderr
php-snmp spams error_log/stderr
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-02 06:53 EST by Joe Orton
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 5.1.1-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-08 06:35:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2005-12-02 06:53:54 EST
Description of problem:
With php-snmp installed the error_log (or stderr) is getting spammed at startup.

No log handling enabled - turning on stderr logging
Cannot find module (IP-MIB): At line 0 in (none)
Cannot find module (IF-MIB): At line 0 in (none)
Cannot find module (TCP-MIB): At line 0 in (none)
Cannot find module (UDP-MIB): At line 0 in (none)
Cannot find module (HOST-RESOURCES-MIB): At line 0 in (none)
Cannot find module (SNMPv2-MIB): At line 0 in (none)
Comment 1 Joe Orton 2005-12-07 08:30:24 EST
This happens iff net-snmp-libs is installed but not net-snmp.  If net-snmp-libs
will not work correctly without net-snmp installed the former should require the
latter?  Or should I just make php-snmp require net-snmp explicitly?
Comment 2 Radek Vokal 2005-12-08 02:40:52 EST
I guess net-snmp-libs should be required for build and net-snmp package in
requires so the MIBs can be used. 
Comment 3 Joe Orton 2005-12-08 03:52:16 EST
So I should change the PHP requires, Radek, that's what you're saying?
Comment 4 Radek Vokal 2005-12-08 03:57:52 EST
Yep, I think
Requires: 	net-snmp
BuildRequires: 	net-snmp-libs

 
Comment 5 Joe Orton 2005-12-08 06:35:09 EST
OK thanks a lot.

Note You need to log in before you can comment on or make changes to this bug.